/*
 *  I2Cで接続したPCF2129ATに
 *  日時を書き込んだ後に
 *  読みだすプログラム
 *  通信はI2Cです
 *  http://trac.switch-science.com/wiki/PCF2129AT
 */
#include <Wire.h>
#include "PCF2129AT.h"


PCF2129AT rtc;
dt_dat dt,dt_alarm;
void setup()
{
    Serial.begin(9600);
    Wire.begin();
    rtc.init();
    Serial.println("PC2129AT Sample Program");
    dt.y = 2015;                // 年の設定(2000年代)
    dt.wd = 0;                  // 週の設定(0-6)
    dt.mm = 11;                 // 月の設定(1-12)
    dt.d = 16;                   // 日の設定(1-)
    dt.h = 0;                   // 時の設定
    dt.m = 0;                  // 分の設定
    dt.s = 0;                   // 秒の設定
    rtc.setDate(&dt);              // 日時の設定
    rtc.setAlarm(&dt_alarm);
}

void loop ()
{
        rtc.getDate(&dt);          // 日時の取得
        // 日時の表示
        Serial.print("year :");
        Serial.print(2000 + dt.y,DEC);
        Serial.print("\t week :");
        Serial.print(dt.wd,DEC);
        Serial.print("\t month :");
        Serial.print(dt.mm,DEC);
        Serial.print("\t date :");
        Serial.print(dt.d,DEC);
        Serial.print("\t hour :");
        Serial.print(dt.h,DEC);
        Serial.print("\t minutes :");
        Serial.print(dt.m,DEC);
        Serial.print("\t second :");
        Serial.println(dt.s,DEC);
        delay(100);
}
